require 'expandable/version'
require 'expandable/application'
require 'expandable/load_modules'

module Expandable
  class Expand < Rails::Engine
    include LoadModules

    config.after_initialize do
      if Rails.env.development?
        puts ''
        puts 'Expandable loading ...'
      end

      start_model_load
      start_controller_load
      if Rails.env.development?
        puts ''
        puts 'Expandable has loaded'
        puts ''
      end
    end

  end
end
